Summary:	OpenSync Python plugin
Summary(pl.UTF-8):	Wtyczka Pythona do OpenSync
Name:		libopensync02-plugin-python
Version:	0.22
Release:	2
License:	LGPL v2.1+
Group:		Libraries
#Source0:	http://www.opensync.org/attachment/wiki/download/libopensync-plugin-python-%{version}.tar.bz2?format=raw
Source0:	https://pkgs.fedoraproject.org/repo/pkgs/libopensync-plugin-python/libopensync-plugin-python-%{version}.tar.bz2/ad5aba28ee66adc1c62e17cdd27c7dc7/libopensync-plugin-python-%{version}.tar.bz2
# Source0-md5:	ad5aba28ee66adc1c62e17cdd27c7dc7
URL:		http://www.opensync.org/
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libopensync02-devel >= 1:%{version}
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 2
Requires:	python-opensync02 >= 1:%{version}
Obsoletes:	libopensync-plugin-python < 0.30
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenSync is a synchronization framework that is platform and
distribution independent.

It consists of several plugins that can be used to connect to devices,
a powerful sync-engine and the framework itself.

This package contains Python plugin for OpenSync framework.

%description -l pl.UTF-8
OpenSync to niezależny od platformy i dystrybucji szkielet do
synchronizacji danych.

Składa się z różnych wtyczek, których można używać do łączenia z
urządzeniami, potężnego silnika synchronizacji oraz samego szkieletu.

Ten pakiet zawiera wtyczkę Pythona dla szkieletu OpenSync.

%prep
%setup -q -n libopensync-plugin-python-%{version}

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/opensync/plugins/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/opensync/python-plugins/sample.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README src/sample.py
%attr(755,root,root) %{_libdir}/opensync/plugins/python_module.so
%dir %{_libdir}/opensync/python-plugins
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libopensync02-plugin-python.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 02aa58f
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> 3331950
- restored last libopensync-plugin-python 0.2x as libopensync02-plugin-python

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> c23ac17
- R: python-opensync
- package python-plugins dir here (this is the code which loads python plugins)
- release 7

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> 1b1f705
- use noarch dir for python plugins (dir itself owned by python-opensync); rel 6

* Wed Dec 22 2010 Elan Ruusamäe <glen@pld-linux.org> 4ba565e
- add branch.diff (excluded cmake junk), builds now

* Fri Jul 09 2010 Elan Ruusamäe <glen@pld-linux.org> 7fb666b
- try building

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8343fca
- release 4

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 5deb44d
- rel 3

* Tue Sep 16 2008 Patryk Zawadzki <patrys@room-303.com> 3551ed5
- rel 3

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 082716c
- add epoch to BR:libopensync-devel

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 72d09d8
- rel.2

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> affb922
- cosmetic

* Sun May 18 2008 aredridel <aredridel@pld-linux.org> 3a8bdbb
- 0.36

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> f84c9b0
- more BRs, drop *.la
- include python-plugins dir

* Fri Aug 31 2007 Elan Ruusamäe <glen@pld-linux.org> f6217d3
- rel 1

* Wed Aug 29 2007 Elan Ruusamäe <glen@pld-linux.org> 69d1a81
- update to 0.22

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ca211a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 065298a
- converted to UTF-8

* Mon Oct 23 2006 Elan Ruusamäe <glen@pld-linux.org> 142ab03
- working source0

* Mon Oct 23 2006 Elan Ruusamäe <glen@pld-linux.org> 1881b93
- stricter libopensync dep

